%global debug_package %{nil}
Name:           fatsort
Version:        1.6.3.622
Release:        %mkrel 1
Summary:        FAT sorter for FAT16 and FAT32 filesystems
Group:          System/Kernel and hardware
License:        GPLv2+
URL:            http://fatsort.sf.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  help2man

%description
Fatsort is a utility written in C to sort FAT16 and FAT32 filesystems. It is
needed to sort files on cheap mp3 players that display files not sorted by
their name but by the order they appear in the file allocation table (FAT).

%prep
%autosetup -p1

%build
%make_build

%install
%make_install SBINDIR=%{_sbindir} MANDIR=%{_mandir}/man1

%files
%doc CHANGES.md README
%license LICENSE.txt
%{_mandir}/man1/%{name}.1*
%{_sbindir}/%{name}


%changelog
* Wed Sep 09 2020 zezinho <zezinho> 1.6.3.622-1.mga8
+ Revision: 1624006
- new version 1.6.3.622

* Sun May 17 2020 danf <danf> 1.6.2.605-2.mga8
+ Revision: 1584777
- Switch to %%autosetup
- Fix multiple definition errors with gcc 10

* Tue Feb 25 2020 zezinho <zezinho> 1.6.2.605-1.mga8
+ Revision: 1550443
- new version

* Fri Feb 14 2020 umeabot <umeabot> 1.5.0.456-2.mga8
+ Revision: 1519416
- Mageia 8 Mass Rebuild

* Fri Oct 12 2018 zezinho <zezinho> 1.5.0.456-1.mga7
+ Revision: 1319810
- version 1.5.0.456

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2.439-2.mga7
+ Revision: 1297666
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 zezinho <zezinho> 1.4.2.439-1.mga7
+ Revision: 1160146
- new version

* Thu Feb 11 2016 umeabot <umeabot> 1.3.365-6.mga6
+ Revision: 953936
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 1.3.365-5.mga6
+ Revision: 880221
- reenable debuginfo after killing stripping

* Wed Sep 09 2015 neoclust <neoclust> 1.3.365-4.mga6
+ Revision: 874908
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.365-3.mga5
+ Revision: 739667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.365-2.mga5
+ Revision: 679100
- Mageia 5 Mass Rebuild

* Wed May 21 2014 zezinho <zezinho> 1.3.365-1.mga5
+ Revision: 624662
- new version

* Sat Feb 08 2014 dams <dams> 1.2.355-1.mga5
+ Revision: 585790
- new version 1.2.355

* Sat Oct 19 2013 umeabot <umeabot> 1.1.331-2.mga4
+ Revision: 523973
- Mageia 4 Mass Rebuild

* Mon May 27 2013 zezinho <zezinho> 1.1.331-1.mga4
+ Revision: 428668
- new version brings FAT12 support

* Fri Jan 11 2013 umeabot <umeabot> 0.9.17.269-2.mga3
+ Revision: 350073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 zezinho <zezinho> 0.9.17.269-1.mga3
+ Revision: 262071
- new version
- imported package fatsort


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.16.254-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 08 2011 Till Maas <opensource@till.name> - 0.9.16.254-1
- Update to new release

* Sun Oct 30 2011 Till Maas <opensource@till.name> - 0.9.15.247-1
- Update to new release
- Adjust to new upstream location

* Sat Aug 27 2011 Till Maas <opensource@till.name> - 0.9.14-1
- Update to new release
- Add manpage

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 08 2010 Till Maas <opensource@till.name> - 0.9.10-4
- Use %%global instead of %%define

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Till Maas <opensource@till.name> - 0.9.10-1
- Update to new release

* Tue Dec 02 2008 Till Maas <opensource@till.name> - 0.9.9.1-2
- Fix typo in %%description

* Tue Dec 02 2008 Till Maas <opensource@till.name> - 0.9.9.1-1
- Update to new release, that really contains the upstreamed patches

* Tue Dec 02 2008 Till Maas <opensource@till.name> - 0.9.9-1
- Update to new release
- Remove upstreamed patches

* Sat Nov 22 2008 Till Maas <opensource@till.name> - 0.9.8.3-2
- Update summary and description

* Tue Jul 15 2008 Till Maas <opensource@till.name> - 0.9.8.3-1
- Update to new version
- Fix Makefile install target

* Mon Jul 07 2008 Till Maas <opensource@till.name> - 0.9.8.2-2
- Fix CFLAGS handling in the Makefile (Red Hat Bug #454212)

* Wed Jun 11 2008 Till Maas <opensource till name> - 0.9.8.2-1
- New upstream release

* Wed Jun 11 2008 Till Maas <opensource till name> - 0.9.8.1-1
- New upstream release

* Mon Jun 09 2008 Till Maas <opensource till name> - 0.9.8-1
- New upstream release
- move install to Makefile/patch
- ChangeLog is now CHANGES
- Disable stripping in Makefile

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.7.1-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Till Maas <opensource till name> - 0.9.7.1-2
- bump version for rebuild
- update License Tag

* Sun May 06 2007 Till Maas <opensource till name> - 0.9.7.1-1
- new version (fatsort supports >4GB filesystems now)

* Thu Feb 01 2007 Till Maas <opensource till name> - 0.9.7-1
- version bump
- added some linebreaks in changelog
- changed e-mail address obfuscation
- corrected time of changelog entries

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.6.1-8
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Till Maas <opensource till name> - 0.9.6.1-7
- Fixed typos in changelog

* Sat Sep 02 2006 Till Maas <opensource till name> - 0.9.6.1-6
- Bumped release to build again because of yum failure on ppc

* Sat Sep 02 2006 Till Maas <opensource till name> - 0.9.6.1-5
- Bumped release to make "make tag" work

* Sat Sep 02 2006 Till Maas <opensource till name> - 0.9.6.1-4
- Bumped release for mass rebuild

* Fri Jul 28 2006 Till Maas <opensource till name> - 0.9.6.1-3
- Use $RPM_OPT_FLAGS instead of %%{optflags}

* Tue Jul 04 2006 Till Maas <opensource till name> - 0.9.6.1-2
- made Source0 to valid URL

* Sat Jul 01 2006 Till Maas <opensource till name> - 0.9.6.1-1
- new version 

* Fri Jun 30 2006 Till Maas <opensource till name> - 0.9.6-1
- Created from scratch for fedora extras
